Bug 91093

Summary: [Qt] platform/qt/fast/block tests needs update after rebaseline and new testfonts
Product: WebKit Reporter: János Badics <jbadics>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: cmarcelo, hausmann, jbadics, ossy, szledan, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 85203    
Attachments:
Description Flags
proposed patch
none
proposed patch
none
proposed patch none

Description János Badics 2012-07-12 07:22:46 PDT
Update test expectations. These tests are working correctly.
Comment 1 János Badics 2012-07-12 07:52:23 PDT
Created attachment 151951 [details]
proposed patch

Updated test expectations. These tests are working fine now.
Comment 2 Simon Hausmann 2012-07-19 07:20:45 PDT
Did you forget to set r? Is this intended for review/landing?
Comment 3 János Badics 2012-07-19 07:23:13 PDT
I accidentally forgot to unskip these tests. Now I'm working on it. Patch will be uploaded soon. Sorry for the inconvenience
Comment 4 János Badics 2012-07-20 06:13:00 PDT
Created attachment 153489 [details]
proposed patch

Unskipped the tests that have been rebased.
Comment 5 Noam Rosenthal 2012-07-20 10:38:14 PDT
Comment on attachment 153489 [details]
proposed patch

rs=me
Comment 6 WebKit Review Bot 2012-07-20 11:12:20 PDT
Comment on attachment 153489 [details]
proposed patch

Rejecting attachment 153489 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
/chromium/webkit --revision 147415 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
48>At revision 147415.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...
Total errors found: 0 in 0 files

Full output: http://queues.webkit.org/results/13311336
Comment 7 János Badics 2012-07-23 05:29:01 PDT
Created attachment 153782 [details]
proposed patch

Changelog was obsolete. Updated patch
Comment 8 Caio Marcelo de Oliveira Filho 2012-07-23 11:20:23 PDT
Comment on attachment 153782 [details]
proposed patch

View in context: https://bugs.webkit.org/attachment.cgi?id=153782&action=review

> LayoutTests/platform/qt-5.0/Skipped:723
> +fast/block/basic/020.html
> +fast/block/basic/fieldset-stretch-to-legend.html
> +fast/block/basic/text-indent-rtl.html

Please, create a different bug for the tests that are still failing and put in a separate section in the skipped list. This will make life easier for others doing the rebaseline of the remaining tests. Same comment applies to other skips added.
Comment 9 Eric Seidel (no email) 2012-07-27 01:10:23 PDT
Comment on attachment 153489 [details]
proposed patch

Cleared Noam Rosenthal's review+ from obsolete attachment 153489 [details] so that this bug does not appear in http://webkit.org/pending-commit.
Comment 10 Caio Marcelo de Oliveira Filho 2012-07-27 12:38:36 PDT
Comment on attachment 153782 [details]
proposed patch

This is not needed anymore. Other patches rebaselined those tests. Removing r?/cq?.